#include <avr/io.h>
#include <avr/interrupt.h>

int seven_led[] ={0x88, 0xEB, 0x4C, 0x49, 0x2B, 0x19, 0x38, 0x8B, 0x08, 0x0B};


volatile int	number=0;
volatile long	timer=0;


SIGNAL(SIG_OVERFLOW0)
{
	timer++;//timer는 1씩 증가
	if(timer %61 == 0)	//61의 배수마다 증가시키기 위한 조건문
		number++;
}


int main(void)
{ 
	DDRA = 0xFF;
	
	TIMSK = TIMSK | 1 << TOIE0; //나머지는 0이고 해당비트만 1
	
	TCCR0 = 7;
	
	sei();
	
	while(1){
			PORTA = seven_led[number % 10];
	
	
	
	}
	
return 0;
}